/* FONTS */
@import url('https://fonts.googleapis.com/css?family=Work+Sans:400,700&display=swap');
/* BASE STYLES */
*,
*:before,
*:after,
*::before,
*::after {
    transition: all 1s;
}
:not(:defined) {
    opacity: 0;
}
:host {
    contain: content;
}
html {
    /* Basic colors */
    --app-red-color: #a72b2a;
    --app-light-blue: #C2ACF5;
    --app-blue-color: #1f2a44;
    --app-black-color: #444444;
    --app-light-gray-color: #f7f7f7;
    --app-dark-gray-color: #d8d8d8;
    --app-gray-color: #c2c2c2;
    --app-darker-gray-color: #888787;
    --app-darkest-gray-color: #9b9b9b;
    --app-green-color: #00bb7a;
    --app-white-color: #ffffff;
    /* App */
    --app-background-color: var(--app-light-gray-color);
    --app-base-fontsize: 16px;
    --app-font-color: var(--app-black-color);
    --app-font-light-color: var(--app-darkest-gray-color);
    --app-font-bold: 700;
    /* Components */
    --notification-background-color: black;
    --notification-font-color: var(--app-white-color);
    --header-menu-background-color: var(--app-blue-color);
    --header-menu-font-color: var(--app-white-color);
    --card-background-color: var(--app-white-color);
    --input-font-color: var(--app-black-color);
    --input-border-color: var(--app-gray-color);
    --input-background-color: var(--app-white-color);
    --input-error-border-color: var(--app-red-color);
    --hint-font-color: var(--app-darker-gray-color);
    --button-cta-background-color: var(--app-red-color);
    --button-cta-font-color: var(--app-white-color);
    --button-background-color: transparent;
    --button-font-color: var(--app-red-color);
    --link-cta-font-color: var(--app-red-color);
    --modal-dialog-background: rgba(37, 48, 76, 0.5);
}
body {
    background-color: var(--app-background-color);
    color: var(--app-font-color);
    margin: 0;
    font-family: 'Work Sans',sans-serif;
    font-size: var(--app-base-fontsize);
    line-height: 1.5;
    min-height: 100vh;
    -webkit-font-smoothing: antialiased;
}
svg {
    fill: currentColor;
}
h1, h2, h3, h4, h5, h6, p {
    margin: 0;
    padding: 0;
}
button {
    border: 0;
    padding: 0;
    outline: none;
    background: transparent;
    cursor: pointer;
    font-size: inherit;
}
form [type="button"],
form [type="submit"] {
    border-radius: 40px;
    padding: 0 20px;
    font-size: var(--app-base-fontsize);
    font-weight: var(--app-font-bold);
    text-transform: uppercase;
    line-height: 50px;
    display: flex;
    justify-content: left;
    align-content: center;
}
form [type="button"] svg,
form [type="submit"] svg {
    flex-basis: 30px;
    margin: auto 10px auto 0;
    height: 30px;
    width: 30px;
}
input[type="text"],
input[type="email"],
input[type="date"],
input[type="password"] {
    background-color: var(--input-background-color);
    border: 1px solid var(--input-border-color);
    padding: 0px 20px;
    margin: 20px 0;
    line-height: 48px;
    font-size: 1.3em;
    display: block;
    flex-basis: 100%;
    box-sizing: border-box;
    color: var(--input-font-color);
    border-radius: 4px;
}
input[type="password"].password-icon:valid + .input-hint::before {
    content: "";
    width: 24px;
    height: 24px;
    position: absolute;
    top: -47px;
    right: 16px;
    z-index: 10;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'><path d='M0 0h24v24H0z' fill='none'/><path fill='%23444444' d='M12 4.5C7 4.5 2.73 7.61 1 12c1.73 4.39 6 7.5 11 7.5s9.27-3.11 11-7.5c-1.73-4.39-6-7.5-11-7.5zM12 17c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-8c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z'/></svg>");
    cursor: pointer;
}
input[type="text"].password-icon:valid + .input-hint::before {
    content: "";
    width: 24px;
    height: 24px;
    position: absolute;
    top: -47px;
    right: 16px;
    z-index: 10;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'><path d='M0 0h24v24H0zm0 0h24v24H0zm0 0h24v24H0zm0 0h24v24H0z' fill='none'/><path fill='%23444444' d='M12 7c2.76 0 5 2.24 5 5 0 .65-.13 1.26-.36 1.83l2.92 2.92c1.51-1.26 2.7-2.89 3.43-4.75-1.73-4.39-6-7.5-11-7.5-1.4 0-2.74.25-3.98.7l2.16 2.16C10.74 7.13 11.35 7 12 7zM2 4.27l2.28 2.28.46.46C3.08 8.3 1.78 10.02 1 12c1.73 4.39 6 7.5 11 7.5 1.55 0 3.03-.3 4.38-.84l.42.42L19.73 22 21 20.73 3.27 3 2 4.27zM7.53 9.8l1.55 1.55c-.05.21-.08.43-.08.65 0 1.66 1.34 3 3 3 .22 0 .44-.03.65-.08l1.55 1.55c-.67.33-1.41.53-2.2.53-2.76 0-5-2.24-5-5 0-.79.2-1.53.53-2.2zm4.31-.78l3.15 3.15.02-.16c0-1.66-1.34-3-3-3l-.17.01z'/></svg>");
    cursor: pointer;
}
input:placeholder-shown:read-only { visibility: hidden; }
input[type="text"]:invalid,
input[type="email"]:invalid,
input[type="password"]:invalid,
input[type="date"]:invalid { border-color: var(--app-red-color); }
input[type="text"]:invalid + .input-hint::before,
input[type="email"]:invalid + .input-hint::before,
input[type="password"]:invalid + .input-hint::before,
input[type="date"]:invalid + .input-hint::before {
    content: "";
    width: 24px;
    height: 24px;
    position: absolute;
    top: -47px;
    right: 16px;
    z-index: 10;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'><path d='M0 0h24v24H0z' fill='none'/><path fill='%23a72b2a' d='M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z'/></svg>");
}
input[type="text"]:invalid + .input-hint,
input[type="email"]:invalid + .input-hint,
input[type="password"]:invalid + .input-hint,
input[type="date"]:invalid + .input-hint { color: var(--app-red-color); }
input[type="text"]:read-only,
input[type="email"]:read-only,
input[type="password"]:read-only,
input[type="date"]:read-only,
select:read-only { color: var(--app-dark-gray-color); outline: none; }
::-webkit-input-placeholder,
::-moz-placeholder,
:-ms-input-placeholder,
:-moz-placeholder {
    color: var(--input-font-color);
}
.input-hint {
    flex-basis: 100%;
    margin: -10px 0 10px;
    color: var(--app-darker-gray-color);
    position: relative;
}
form [type="button"].link-button,
form [type="submit"].link-button {
    color: var(--app-red-color);
    font-weight: normal;
    text-transform: none;
}
form [type="button"].cta-button,
form [type="submit"].cta-button {
    color: var(--button-cta-font-color);
    background-color: var(--button-cta-background-color);
}
form [type="button"].no-cta-button,
form [type="submit"].no-cta-button {
    color: var(--button-cta-background-color);
    background-color: var(--button-cta-font-color);
}
form [type="button"].filter-button,
form [type="submit"].filter-button {
    color: var(--app-black-color);
    font-weight: normal;
    text-transform: uppercase;
    background: transparent;
    border-radius: 0;
    line-height: 30px;
    margin: 10px 0;
    padding: 0 10px;
}
form [type="button"].filter-button.is-active,
form [type="submit"].filter-button.is-active {
    font-weight: var(--app-font-bold);
}
/* More loading animations at: https://cssfx.dev/ */
.dots {
    width: 3.5em;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: space-between;
}
.dots i {
    width: 0.8em;
    height: 0.8em;
    border-radius: 50%;
    background-color: var(--app-light-blue);
    animation: fadeDots 0.8s ease-in-out alternate infinite;
}
.dots div:nth-of-type(1) {
    animation-delay: -0.4s;
}
.dots div:nth-of-type(2) {
    animation-delay: -0.2s;
}
@keyframes fadeDots {
    from { opacity: 1; }
    to { opacity: 0; }
}
app-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
    max-width: 100vw;
    margin: 0;
    padding: 0;
    height: 100vh;
}
content-wrapper {
    flex-grow: 1;
    flex-basis: 460px;
    max-width: 500px;
    margin: 0 auto;
}
@media (min-width: 460px) {
    login-card[active] {
        flex-basis: 40%;
        margin: 0 auto;
    }
}
@media (min-width: 800px) {
}